WP3UndoGroup Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP3UndoGroup Class Reference

`#include <WP3UndoGroup.h>`

Inheritance diagram for WP3UndoGroup:

## Public Member Functions
| WP3UndoGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3FixedLengthGroup
| WP3FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()
virtual void | parse (WP3Listener *listener)=0

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP3FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0

## Private Attributes
unsigned char | m_undoType
unsigned short | m_undoLevel

## Additional Inherited Members
Static Public Member Functions inherited from WP3FixedLengthGroup
static WP3FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char const groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ WP3UndoGroup()

WP3UndoGroup::WP3UndoGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

## ◆ _readContents()

void WP3UndoGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overrideprotectedvirtual

Implements WP3FixedLengthGroup.

## ◆ parse()

void WP3UndoGroup::parse | ( | WP3Listener * | listener | ) |
| overridevirtual

Implements WP3Part.

## Member Data Documentation

## ◆ m_undoLevel

unsigned short WP3UndoGroup::m_undoLevel
| private

Referenced by _readContents(), and parse().

## ◆ m_undoType

unsigned char WP3UndoGroup::m_undoType
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP3UndoGroup.h
- WP3UndoGroup.cpp